Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.lock
Class ReadWriteLockWithUpgrade.WriterLock

    java.lang.Object
      org.jboss.cache.lock.ReadWriteLockWithUpgrade.WriterLock

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.Sync

Enclosing class:
  ReadWriteLockWithUpgrade

    protected class ReadWriteLockWithUpgrade.WriterLock

extends java.lang.Object
implements EDU.oswego.cs.dl.util.concurrent.Sync

Field Summary

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Constructor Summary
`protected` | `ReadWriteLockWithUpgrade.WriterLock()`

Method Summary
`void` | `acquire()`
`boolean` | `attempt(long msecs)`
`void` | `release()`
`void` | `signalWaiters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadWriteLockWithUpgrade.WriterLock

    protected ReadWriteLockWithUpgrade.WriterLock()

Method Detail

### acquire

    public void acquire()
                 throws java.lang.InterruptedException

  Specified by:
    `acquire` in interface `EDU.oswego.cs.dl.util.concurrent.Sync`
  Throws:
    `java.lang.InterruptedException`

### release

    public void release()

  Specified by:
    `release` in interface `EDU.oswego.cs.dl.util.concurrent.Sync`

### signalWaiters

    public void signalWaiters()

### attempt

    public boolean attempt(long msecs)
                    throws java.lang.InterruptedException

  Specified by:
    `attempt` in interface `EDU.oswego.cs.dl.util.concurrent.Sync`
  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.